Page MenuHomeFreeBSD

handbook: fix various formatting issues in ZFS chapter
ClosedPublic

Authored by debdrup on Aug 26 2017, 11:07 AM.

Details

Summary
  • Indent <screen> content properly
  • Add missing quote in 'zfs set sharenfs' command
  • Use root prompt in various places to reflect reality
  • Add missing <userinput> tags
  • Remove a useless 'zfs list' command

Diff Detail

Repository
rD FreeBSD doc repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

A few things I've found.

zfs/chapter.xml
1896 ↗(On Diff #32404)

Be careful not to mix whitespace with content changes. These need to be two separate commits: one for the indentations and the rest for the content changes you listed.

2179 ↗(On Diff #32404)

I think this example should also contain vi.recover. Otherwise, readers might wonder where it is coming from all of a sudden after the rollback or whether it was caused by the rollback (which is not, but that might cause confusion).

2650 ↗(On Diff #32404)

While we're here, we could replace this line with sysrc:
sysrc -f /etc/sysctl.conf vfs.usermount=1

bhd marked 3 inline comments as done.

Address bcr@ comments. Update diff.

Approved, thanks for working on it.

This revision is now accepted and ready to land.Aug 27 2017, 3:04 PM
This revision was automatically updated to reflect the committed changes.
zfs/chapter.xml
1896 ↗(On Diff #32404)

Whitespace inside <screen> and <programlisting> elements really is content. That is, it affects how the final rendered version appears, where normal whitespace like that in paragraphs does not. And the point of this whole whitespace runaround is to make sure translators only see changes to content that affects how the final rendered version looks.
So, again, whitespace inside certain elements like <screen> and <programlisting> is really content.

Quite interesting. Thank you Warren!

allanjude added a subscriber: allanjude.
allanjude added inline comments.
head/en_US.ISO8859-1/books/handbook/zfs/chapter.xml
2666

sysrc cannot be used for sysctls:

$ sudo sysrc -f /etc/sysctl.conf vfs.usermount=1
sysrc: vfs.usermount: name contains characters not allowed in shell

as pointed out here: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=246760

debdrup added a reviewer: bhd.
debdrup added a subscriber: debdrup.

At the request of @allanjude, I'm commandeering this to make a little change so that sysrc doesn't try to operate on files it can't work on.

Fix a tiny issue about characters not being allowed in /bin/sh

This revision is now accepted and ready to land.Jul 11 2020, 3:47 PM
This revision was automatically updated to reflect the committed changes.